#!/bin/bash
#
# Core Config Manager - Sanity Check
# For use with Nagios XI installations to check for component completeness.
#

function zipit() {
    :
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/ccm/ccm.inc.php \
    $COMPONENTS/ccm/ajax.php \
    $COMPONENTS/ccm/classes \
    $COMPONENTS/ccm/command_test.php \
    $COMPONENTS/ccm/config.inc.php \
    $COMPONENTS/ccm/css \
    $COMPONENTS/ccm/download.php \
    $COMPONENTS/ccm/images \
    $COMPONENTS/ccm/includes \
    $COMPONENTS/ccm/index.php \
    $COMPONENTS/ccm/javascript \
    $COMPONENTS/ccm/page_templates \
    $COMPONENTS/ccm/templates \
    $COMPONENTS/ccm/xi-index.php \
    $COMPONENTS/ccm/classes/CCM_Menu.php \
    $COMPONENTS/ccm/classes/config_class.php \
    $COMPONENTS/ccm/classes/data_class.php \
    $COMPONENTS/ccm/classes/Db.php \
    $COMPONENTS/ccm/classes/Form_class.php \
    $COMPONENTS/ccm/classes/import_class.php \
    $COMPONENTS/ccm/classes/mysql_class.php \
    $COMPONENTS/ccm/css/style.css \
    $COMPONENTS/ccm/images/copy.gif \
    $COMPONENTS/ccm/images/delete.png \
    $COMPONENTS/ccm/images/download.png \
    $COMPONENTS/ccm/images/editsettings.png \
    $COMPONENTS/ccm/images/info_small.png \
    $COMPONENTS/ccm/images/th_down.png \
    $COMPONENTS/ccm/images/throbber1.gif \
    $COMPONENTS/ccm/images/th_updown.png \
    $COMPONENTS/ccm/images/th_up.png \
    $COMPONENTS/ccm/images/ccm-splash.png \
    $COMPONENTS/ccm/images/ccm.png \
    $COMPONENTS/ccm/includes/activate.inc.php \
    $COMPONENTS/ccm/includes/admin_views.inc.php \
    $COMPONENTS/ccm/includes/applyconfig.inc.php \
    $COMPONENTS/ccm/includes/auth.inc.php \
    $COMPONENTS/ccm/includes/ccm_bulk_edit.inc.php \
    $COMPONENTS/ccm/includes/ccm_log.inc.php \
    $COMPONENTS/ccm/includes/common_functions.inc.php \
    $COMPONENTS/ccm/includes/contact.inc.php \
    $COMPONENTS/ccm/includes/delete_object.inc.php \
    $COMPONENTS/ccm/includes/group.inc.php \
    $COMPONENTS/ccm/includes/hidden_overlay_functions.inc.php \
    $COMPONENTS/ccm/includes/hostservice.inc.php \
    $COMPONENTS/ccm/includes/index.html \
    $COMPONENTS/ccm/includes/objects.inc.php \
    $COMPONENTS/ccm/includes/page_router.inc.php \
    $COMPONENTS/ccm/includes/session.inc.php \
    $COMPONENTS/ccm/javascript/form_js.js \
    $COMPONENTS/ccm/javascript/jquery-1.7.2.min.js \
    $COMPONENTS/ccm/javascript/main_js.js \
    $COMPONENTS/ccm/page_templates/alert_settings.php \
    $COMPONENTS/ccm/page_templates/ccm_table.php \
    $COMPONENTS/ccm/page_templates/check_settings.php \
    $COMPONENTS/ccm/page_templates/command_template.php \
    $COMPONENTS/ccm/page_templates/common_settings.php \
    $COMPONENTS/ccm/page_templates/contact_template.php \
    $COMPONENTS/ccm/page_templates/escalation_dependency_template.php \
    $COMPONENTS/ccm/page_templates/form_footer.php \
    $COMPONENTS/ccm/page_templates/form_header.php \
    $COMPONENTS/ccm/page_templates/group_template.php \
    $COMPONENTS/ccm/page_templates/hidden_elements.php \
    $COMPONENTS/ccm/page_templates/login.inc.php \
    $COMPONENTS/ccm/page_templates/misc_settings.php \
    $COMPONENTS/ccm/page_templates/timeperiod_template.php \
    $COMPONENTS/ccm/templates/files \
    $COMPONENTS/ccm/templates/files/commands.tpl.dat \
    $COMPONENTS/ccm/templates/files/contactgroups.tpl.dat \
    $COMPONENTS/ccm/templates/files/contacts.tpl.dat \
    $COMPONENTS/ccm/templates/files/contacttemplates.tpl.dat \
    $COMPONENTS/ccm/templates/files/hostdependencies.tpl.dat \
    $COMPONENTS/ccm/templates/files/hostescalations.tpl.dat \
    $COMPONENTS/ccm/templates/files/hostextinfo.tpl.dat \
    $COMPONENTS/ccm/templates/files/hostgroups.tpl.dat \
    $COMPONENTS/ccm/templates/files/hosts.tpl.dat \
    $COMPONENTS/ccm/templates/files/hosttemplates.tpl.dat \
    $COMPONENTS/ccm/templates/files/servicedependencies.tpl.dat \
    $COMPONENTS/ccm/templates/files/serviceescalations.tpl.dat \
    $COMPONENTS/ccm/templates/files/serviceextinfo.tpl.dat \
    $COMPONENTS/ccm/templates/files/servicegroups.tpl.dat \
    $COMPONENTS/ccm/templates/files/services.tpl.dat \
    $COMPONENTS/ccm/templates/files/servicetemplates.tpl.dat \
    $COMPONENTS/ccm/templates/files/timeperiods.tpl.dat
    
is_component $COMPONENTS/ccm/ccm.inc.php

print_results